sc::AVLMap< K, T >::iterator(3)

NAME
sc::AVLMap< K, T >::iterator -

SYNOPSIS

  Public Member Functions
iterator (const EAVLMMap< K, AVLMapNode< K, T > > *m, AVLMapNode< K, T > *n)
iterator (const eavl_typename AVLMap< K, T >::iterator &i)
void operator++ ()
void operator++ (int)
int operator== (const eavl_typename AVLMap< K, T >::iterator &i) const
int operator!= (const eavl_typename AVLMap< K, T >::iterator &i) const
void operator= (const eavl_typename AVLMap< K, T >::iterator &i)
const K & key () const
T & data ()

  template<class K, class T> class sc::AVLMap< K, T >::iterator

Author

Generated automatically by Doxygen for MPQC from the source code'.